// @ts-nocheck
interface NotificationOptions {
    body?: string;
    dir?: NotificationDirection;
    icon?: string;
    lang?: string;
    tag?: string;
    image?: string;
    badge?: string;
    vibrate?: number[];
    sound?: string;
    data?: any;
    requireInteraction?: boolean;
    renotify?: boolean;
    silent?: boolean;
    actions?: NotificationAction[];
    timestamp?: number;
}

interface Notification extends EventTarget {
    data?: any;
}
